[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.GetFirstChild

Gets the first child node in the Items property.

## Declaration

Source position: comctrls.pp line 3107

`public function TTreeNode.GetFirstChild: TTreeNode;`

## Function result

First tree node in the Items property, or Nil when Items is empty.

## Description

GetFirstChild is a TTreeNode function used to get the first child node in the subtree for the current tree node. GetFirstChild returns the first TTreeNode instance stored in the Items property (index position 0). The return value is Nil if Items is empty (Count is 0).

Use GetFirstVisibleChild to get the first child node with its Visible property set to True.

Use GetFirstSibling, GetNextSibling, GetPrevSibling, or GetLastSibling to retrieve a tree node at the same level in the tree hierarchy.